Bug 153680

Summary: Tab suspension code shouldn't use page cache cacheability logic
Product: WebKit Reporter: Antti Koivisto <koivisto>
Component: DOMAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: cdumez, kling
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
patch kling: review+

Description Antti Koivisto 2016-01-29 15:45:44 PST
Most of the checks are unnecessary
Comment 1 Antti Koivisto 2016-01-29 15:58:51 PST
Created attachment 270269 [details]
patch
Comment 2 Antti Koivisto 2016-01-29 17:32:30 PST
http://trac.webkit.org/changeset/195871
Comment 3 Chris Dumez 2016-01-30 13:36:35 PST
It looks like this patch may have caused 4 tests to fail:
https://build.webkit.org/results/Apple%20El%20Capitan%20Release%20WK2%20(Tests)/r195871%20(2937)/results.html
Comment 4 Chris Dumez 2016-01-30 13:39:09 PST
Reverted r195871 for reason:

Caused several layout tests to time out

Committed r195909: <http://trac.webkit.org/changeset/195909>
Comment 5 Antti Koivisto 2016-02-02 11:47:08 PST
Relanded in http://trac.webkit.org/changeset/196023 with 1 minute timer to avoid suspending tests that explicitly set page to non-visible state.